Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-09-2017 16:08:39

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

[résolu] avidemux

bonjour .

je souhaiterai installer avidemux sur buster .
(aussi sur stretch )

j'ai cru comprendre  que , pour ce faire , il fallait installer le dépot multimedia .

j'ai essayé mais je me suis heurté  à un problème de clés .

"signature non valide " je crois .

j'ai donc  effacé  le fichier multimedia .list (/etc/apt/sources.list.d/multimedia.list)

pouvez vous m'aider à installer avidemux  sur buster ?

merci

Alain

sous stretch , je viens de réussir .

voilà mon sources.list :

alain@Alain-PC:~$

cat /etc/apt/sources.list



#

# deb cdrom:[Debian GNU/Linux stretch-DI-rc5 _Stretch_ - Official Snapshot amd64 DLBD Binary-1 20170611-02:41]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux stretch-DI-rc5 _Stretch_ - Official Snapshot amd64 DLBD Binary-1 20170611-02:41]/ stretch contrib main

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
# deb-src http://security.debian.org/ stretch/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# installer depuis les backports : apt-get -t jessie-bacports install xxx
# Backports repository
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
# deb http://ftp.fr.debian.org/debian/ stretch-proposed-updates main contrib non-free

# depots experimental
# deb http://ftp.fr.debian.org/debian/ experimental main contrib non-free

# depôts buster
# deb http://deb.debian.org/debian/ buster main contrib non-free

# stretch multimedia repositories
deb http://www.deb-multimedia.org/ stretch main contrib non-free

 



reste plus qu'à faire la même modif sous buster  .

sources.list de buster :


#

# deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

# Buster
deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/ buster/updates main contrib non-free
# deb-src http://security.debian.org/ buster/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free

# deb http://ftp.fr.debian.org/debian/ buster-backports main contrib non-free

# stretch
# deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
# deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

# deb http://security.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
# deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# sid
# deb http://security.debian.org/ stretch/updates non-free main contrib
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free

# paquets  multimedia
deb http://www.deb-multimedia.org/ buster main contrib non-free
 



root@Alain-Buster-PC:/home/alain#

apt update


Atteint:1 http://ftp.fr.debian.org/debian buster InRelease
Atteint:3 http://security.debian.org buster/updates InRelease                  
Atteint:4 http://ftp.fr.debian.org/debian buster-updates InRelease            
Réception de:2 http://www.deb-multimedia.org buster InRelease [19,9 kB]        
Atteint:5 http://ftp.fr.debian.org/debian sid InRelease                        
Err:2 http://www.deb-multimedia.org buster InRelease          
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
Lecture des listes de paquets... Fait
W: Erreur de GPG : http://www.deb-multimedia.org buster InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 5C808C2B65558117
E: The repository 'http://www.deb-multimedia.org buster InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 



là , je ne sais pas  quoi faire .....

Edit à toto :
Dans les balises Commande du forum, on ne met que la commande dans la balise root ou user et le retour comme tu l'as fait.
Post corrigé.

j'ai suivi ce tuto :
https://debian-facile.org/doc:systeme:apt:signatures?s

voilà ma démarche :

# apt-get install deb-multimedia-keyring



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet deb-multimedia-keyring
 



# apt-get install gnupg



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
gnupg is already the newest version (2.2.1-1).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-tracker-1.0 libgom-1.0-common libqpdf17 libtracker-control-1.0-0
  libtracker-miner-1.0-0 libtracker-sparql-1.0-0 linux-image-4.9.0-3-amd64
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
 



# gpg --keyserver hkp://wwwkeys.eu.pgp.net --recv-keys 5C808C2B65558117



gpg: répertoire « /root/.gnupg » créé
gpg: le trousseau local « /root/.gnupg/pubring.kbx » a été créé
gpg: échec de réception depuis le serveur de clefs : No name
 



# gpg --keyserver hkp://wwwkeys.pgp.net --recv-keys 5C808C2B65558117



key 5C808C2B65558117:
31 signatures not checked due to missing keys
gpg: /root/.gnupg/trustdb.gpg : base de confiance créée
gpg: clef 5C808C2B65558117 : clef publique « Christian Marillat <marillat@debian.org> » importée
gpg: aucune clef de confiance ultime n'a été trouvée
gpg:       Quantité totale traitée : 1
gpg:                     importées : 1
 



# gpg --armor --export 5C808C2B65558117 | apt-key add -



key 5C808C2B65558117:
31 signatures not checked due to missing keys
OK
 



# apt-get update



Atteint:1 http://ftp.fr.debian.org/debian buster InRelease
Atteint:3 http://ftp.fr.debian.org/debian buster-updates InRelease                                                                              
Réception de:2 http://www.deb-multimedia.org buster InRelease [19,9 kB]                                            
Atteint:4 http://ftp.fr.debian.org/debian sid InRelease                                                                                                            
Atteint:5 http://security.debian.org buster/updates InRelease                                                      
Réception de:6 http://www.deb-multimedia.org buster/main amd64 Packages [148 kB]
Réception de:7 http://www.deb-multimedia.org buster/non-free amd64 Packages [1 924 B]
170 ko réceptionnés en 0s (272 ko/s)                          
Lecture des listes de paquets... Fait
W: Skipping acquire of configured file 'contrib/binary-amd64/Packages' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-fr_FR' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-en' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/i18n/Translation-fr' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/dep11/Components-amd64.yml' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/dep11/icons-64x64.tar' as repository 'http://www.deb-multimedia.org buster InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
 



pourtant , non , c'est bien orthographié ....

mon sources.list


#

# deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

# Buster
deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/ buster/updates main contrib non-free
# deb-src http://security.debian.org/ buster/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free

# deb http://ftp.fr.debian.org/debian/ buster-backports main contrib non-free

# stretch
# deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
# deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

# deb http://security.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
# deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# sid
# deb http://security.debian.org/ stretch/updates non-free main contrib
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free

# paquets  multimedia
deb http://www.deb-multimedia.org/ buster main contrib non-free
 

Dernière modification par Debian Alain (22-09-2017 19:27:05)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#2 21-09-2017 16:56:51

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] avidemux

Bonjour,
Sur le site http://www.deb-multimedia.org/ il est bien indiqué un changement à partir de buster :

After you have added the necessary line in /etc/apt/sources.list the first package to install is deb-multimedia-keyring.

apt-get update
The “-oAcquire::AllowInsecureRepositories=true” option is mandatory since Buster and thus also needed for unstable.
apt-get update -oAcquire::AllowInsecureRepositories=true
apt-get install deb-multimedia-keyring -oAcquire::AllowInsecureRepositories=true


après avoir ajouté le dépôt au sources.list et créé le fichier de pinning comme expliqué dans le wiki DF
Les commandes sont

apt-get update -o Acquire::AllowInsecureRepositories=true


apt-get install deb-multimedia-keyring -o Acquire::AllowInsecureRepositories=true


apt-get install avidemux



Si ton retour est positif sur ces commandes, il faudra le préciser dans le wiki DF pour buster smile

J'ai trouvé quelques infos sur ces commandes :

•Allow-Insecure ( allow-insecure), Allow-Weak ( allow-weak) et Allow-Downgrade-To-Insecure ( allow-downgrade-to-insecure) sont des valeurs booléennes dont la valeur par défaut est no. Si elles sont définies à yes, elles contournent certains éléments d' apt-secure(8) et par conséquent ne devraient pas utilisées à la légère.


et ces infos :

Si une archive possède un fichier Release non signé ou pas de fichier Release du tout, les versions actuelles d'APT refuseront par défaut d'en télécharger des données dans les opérations update. Même si un frontal tel que apt-get(8) est forcé de télécharger, il demandera une confirmation explicite si une installation inclut un paquet d'une archive non authentifiée.
Vous pouvez contraindre les clients APT à n'émettre que des avertissements en configurant l'option Acquire::AllowInsecureRepositories à true. L'option allow-insecure=yes de sources.list(5) peut aussi permettre à des dépôts individuels d'être non sécurisés. Veuillez noter que les dépôts non sécurisés sont fortement déconseillés et toutes les options pour contraindre APT à continuer à les prendre en charge devront être éventuellement supprimées. Les utilisateurs disposent aussi de l'option Trusted pour désactiver même les avertissements, mais il faut être sûr de comprendre ses implications détaillées dans sources.list(5).
Un dépôt qui auparavant était authentifié, mais qui perdrait cet état lors d'une opération update envoie un message d'erreur à tous les clients d'APT quelle que soit l'option d'autoriser ou d'interdire l'utilisation de dépôts non sécurisés. L'erreur peut être contournée par le réglage supplémentaire de Acquire::AllowDowngradeToInsecureRepositories à true, ou, pour des dépôts individuels avec l'option allow-downgrade-to-insecure=yes de sources.list(5).

Hors ligne

#3 21-09-2017 21:10:42

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

ouh là ! , ça refroidit d'un coup .

donc si je comprends bien , dans buster , on peut installer avidemux ....

en contournant les sécurités .

pas fou ! . jouer avec buster / sid , c'est déjà risqué .

si c'est pour casser mon systeme , non merci .

merci pour la peine que tu t'es donnée , chalu , mais je préfère temporiser .

sauf conseils et aides complementaires , je toucherai plus au dépot multimedia sous buster .

merci quand même .

salut aux modérateurs et merci .

1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#4 21-09-2017 21:13:15

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] avidemux

Je ne crois pas qu'il y ait plus de danger que sur stretch en fait. Les avertissements et principes de sécurité de buster sont plus clairs.

Hors ligne

#5 21-09-2017 21:27:28

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

de toutes façons , j'ai trouvé mon erreur .

je croyais que ma ligne de "multimedia.org" était mal orthographiée .

et bien sûr , je cherchais une faute que je ne trouvais pas et pour cause :

d'après ta doc : le mot "contrib" était en trop .

il n'était pas mal orthographié , comme le croyait le systeme , mais en trop .

je l'ai donc retiré : plus de problème : tout est rentré dans l'ordre .

regardez :

# apt update



Atteint:1 http://ftp.fr.debian.org/debian buster InRelease
Atteint:2 http://www.deb-multimedia.org buster InRelease                      
Atteint:3 http://ftp.fr.debian.org/debian buster-updates InRelease            
Atteint:4 http://security.debian.org buster/updates InRelease                  
Atteint:5 http://ftp.fr.debian.org/debian sid InRelease                    
Lecture des listes de paquets... Fait                                      
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
62 packages can be upgraded. Run 'apt list --upgradable' to see them.
 



c'est bon , je peux télécharger avidemux .

merci chalu

je rappelle ici ton lien , qui m'a un peu aidé (faut dire aussi)
https://debian-facile.org/doc:systeme:a … multimedia

et le lien des clés des dépôts (qui ne m'a  pas été inutile non plus)   :
https://debian-facile.org/doc:systeme:apt:signatures?s

je terminerai ce post (et ce fil ) avec les commandes suivantes :

$ sudo apt-get -s install avidemux



[sudo] Mot de passe de alain : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-tracker-1.0 libgom-1.0-common libqpdf17 libtracker-control-1.0-0
  libtracker-miner-1.0-0 libtracker-sparql-1.0-0 linux-image-4.9.0-3-amd64
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
The following additional packages will be installed:
  avidemux-common avidemux-plugins avidemux-qt install-info lame libaften0
  libass9 libavcodec57 libavformat57 libavutil55 libfaac0 libfdk-aac1 libilbc2
  libkvazaar3 liblavfile-2.1-0 liblavjpeg-2.1-0 liblavplay-2.1-0 liblept5
  libmfx0 libmp3lame0 libmp4v2-2 libopenh264-4 libqt5opengl5 libquicktime2
  libswresample2 libswscale4 libtesseract-data libtesseract3 libx264-152
  libx265-130 libzimg2 mjpegtools twolame vapoursynth
Paquets suggérés :
  sox mpeg2dec a52dec
Les NOUVEAUX paquets suivants seront installés :
  avidemux avidemux-common avidemux-plugins avidemux-qt install-info lame
  libaften0 libfaac0 libfdk-aac1 libilbc2 libkvazaar3 liblavfile-2.1-0
  liblavjpeg-2.1-0 liblavplay-2.1-0 liblept5 libmfx0 libmp4v2-2 libopenh264-4
  libqt5opengl5 libquicktime2 libtesseract-data libtesseract3 libx264-152
  libzimg2 mjpegtools twolame vapoursynth
Les paquets suivants seront mis à jour :
  libass9 libavcodec57 libavformat57 libavutil55 libmp3lame0 libswresample2
  libswscale4 libx265-130
8 mis à jour, 27 nouvellement installés, 0 à enlever et 54 non mis à jour.
Inst install-info (6.5.0.dfsg.1-1 Debian:testing, Debian:unstable [amd64])
Conf install-info (6.5.0.dfsg.1-1 Debian:testing, Debian:unstable [amd64])
Inst libaften0 (0.0.8svn20100103-dmo2 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libass9 [1:0.13.7-2] (2:0.13.7-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libfaac0 (1:1.29.7.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libfdk-aac1 (1:0.1.5-dmo2 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libmp3lame0 [3.99.5+repack1-9+b2] (1:3.99.5-dmo6 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libmp4v2-2 (2:2.0.0-dmo4 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libx264-152 (3:0.152.2851+gitba24899-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libx265-130 [2.5-2] (1:2.5-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst avidemux-plugins (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libqt5opengl5 (5.9.1+dfsg-9 Debian:testing, Debian:unstable [amd64])
Inst libmfx0 (1.23-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libavutil55 [7:3.3.4-1] (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libilbc2 (2.0.2-dmo4 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libkvazaar3 (1:1.1.0-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libopenh264-4 (1.7.0-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libswresample2 [7:3.3.4-1] (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libavcodec57 [7:3.3.4-1] (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libavformat57 [7:3.3.4-1] (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libtesseract-data (3.04.01-6 Debian:testing, Debian:unstable [all])
Inst liblept5 (1.74.4-1 Debian:testing, Debian:unstable [amd64])
Inst libtesseract3 (3.04.01-6 Debian:testing, Debian:unstable [amd64])
Inst libzimg2 (2.6.1-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst vapoursynth (38-dmo7 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst avidemux-common (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [all])
Inst avidemux-qt (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst avidemux (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst lame (1:3.99.5-dmo6 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libswscale4 [7:3.3.4-1] (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst libquicktime2 (3:1.2.4-dmo21 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst liblavfile-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst liblavjpeg-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst liblavplay-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst mjpegtools (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Inst twolame (1:0.3.13-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libaften0 (0.0.8svn20100103-dmo2 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libass9 (2:0.13.7-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libfaac0 (1:1.29.7.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libfdk-aac1 (1:0.1.5-dmo2 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libmp3lame0 (1:3.99.5-dmo6 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libmp4v2-2 (2:2.0.0-dmo4 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libx264-152 (3:0.152.2851+gitba24899-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libx265-130 (1:2.5-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf avidemux-plugins (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libqt5opengl5 (5.9.1+dfsg-9 Debian:testing, Debian:unstable [amd64])
Conf libmfx0 (1.23-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libavutil55 (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libilbc2 (2.0.2-dmo4 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libkvazaar3 (1:1.1.0-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libopenh264-4 (1.7.0-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libswresample2 (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libavcodec57 (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libavformat57 (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libtesseract-data (3.04.01-6 Debian:testing, Debian:unstable [all])
Conf liblept5 (1.74.4-1 Debian:testing, Debian:unstable [amd64])
Conf libtesseract3 (3.04.01-6 Debian:testing, Debian:unstable [amd64])
Conf libzimg2 (2.6.1-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf vapoursynth (38-dmo7 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf avidemux-common (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [all])
Conf avidemux-qt (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf avidemux (1:2.7.0-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf lame (1:3.99.5-dmo6 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libswscale4 (10:3.3.4-dmo1 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf libquicktime2 (3:1.2.4-dmo21 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf liblavfile-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf liblavjpeg-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf liblavplay-2.1-0 (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf mjpegtools (2:2.1.0-dmo9 Unofficial Multimedia Packages:0.0/testing [amd64])
Conf twolame (1:0.3.13-dmo3 Unofficial Multimedia Packages:0.0/testing [amd64])
 



$ sudo apt-get install avidemux



[sudo] Mot de passe de alain : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  gir1.2-tracker-1.0 libgom-1.0-common libqpdf17 libtracker-control-1.0-0
  libtracker-miner-1.0-0 libtracker-sparql-1.0-0 linux-image-4.9.0-3-amd64
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
The following additional packages will be installed:
  avidemux-common avidemux-plugins avidemux-qt install-info lame libaften0
  libass9 libavcodec57 libavformat57 libavutil55 libfaac0 libfdk-aac1 libilbc2
  libkvazaar3 liblavfile-2.1-0 liblavjpeg-2.1-0 liblavplay-2.1-0 liblept5
  libmfx0 libmp3lame0 libmp4v2-2 libopenh264-4 libqt5opengl5 libquicktime2
  libswresample2 libswscale4 libtesseract-data libtesseract3 libx264-152
  libx265-130 libzimg2 mjpegtools twolame vapoursynth
Paquets suggérés :
  sox mpeg2dec a52dec
Les NOUVEAUX paquets suivants seront installés :
  avidemux avidemux-common avidemux-plugins avidemux-qt install-info lame
  libaften0 libfaac0 libfdk-aac1 libilbc2 libkvazaar3 liblavfile-2.1-0
  liblavjpeg-2.1-0 liblavplay-2.1-0 liblept5 libmfx0 libmp4v2-2 libopenh264-4
  libqt5opengl5 libquicktime2 libtesseract-data libtesseract3 libx264-152
  libzimg2 mjpegtools twolame vapoursynth
Les paquets suivants seront mis à jour :
  libass9 libavcodec57 libavformat57 libavutil55 libmp3lame0 libswresample2
  libswscale4 libx265-130
8 mis à jour, 27 nouvellement installés, 0 à enlever et 54 non mis à jour.
Il est nécessaire de prendre 19,8 Mo/20,0 Mo dans les archives.
Après cette opération, 34,8 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://ftp.fr.debian.org/debian buster/main amd64 install-info amd64 6.5.0.dfsg.1-1 [342 kB]
Réception de:2 http://www.deb-multimedia.org buster/main amd64 libaften0 amd64 0.0.8svn20100103-dmo2 [34,8 kB]
Réception de:3 http://www.deb-multimedia.org buster/main amd64 libass9 amd64 2:0.13.7-dmo1 [91,4 kB]
Réception de:4 http://www.deb-multimedia.org buster/main amd64 libfaac0 amd64 1:1.29.7.4-dmo1 [43,2 kB]
Réception de:5 http://www.deb-multimedia.org buster/main amd64 libfdk-aac1 amd64 1:0.1.5-dmo2 [354 kB]
Réception de:6 http://www.deb-multimedia.org buster/main amd64 libmp3lame0 amd64 1:3.99.5-dmo6 [405 kB]
Réception de:7 http://ftp.fr.debian.org/debian buster/main amd64 libtesseract-data all 3.04.01-6 [12,3 kB]
Réception de:8 http://www.deb-multimedia.org buster/main amd64 libmp4v2-2 amd64 2:2.0.0-dmo4 [311 kB]
Réception de:9 http://www.deb-multimedia.org buster/main amd64 libx264-152 amd64 3:0.152.2851+gitba24899-dmo1 [798 kB]
Réception de:10 http://ftp.fr.debian.org/debian buster/main amd64 liblept5 amd64 1.74.4-1 [937 kB]
Réception de:11 http://www.deb-multimedia.org buster/main amd64 libx265-130 amd64 1:2.5-dmo1 [769 kB]
Réception de:12 http://www.deb-multimedia.org buster/main amd64 avidemux-plugins amd64 1:2.7.0-dmo3 [3 562 kB]
Réception de:13 http://ftp.fr.debian.org/debian buster/main amd64 libtesseract3 amd64 3.04.01-6 [1 124 kB]
Réception de:14 http://www.deb-multimedia.org buster/main amd64 libmfx0 amd64 1.23-dmo1 [25,3 kB]
Réception de:15 http://www.deb-multimedia.org buster/main amd64 libavutil55 amd64 10:3.3.4-dmo1 [222 kB]
Réception de:16 http://www.deb-multimedia.org buster/main amd64 libilbc2 amd64 2.0.2-dmo4 [49,9 kB]
Réception de:17 http://www.deb-multimedia.org buster/main amd64 libkvazaar3 amd64 1:1.1.0-dmo1 [181 kB]
Réception de:18 http://www.deb-multimedia.org buster/main amd64 libopenh264-4 amd64 1.7.0-dmo1 [349 kB]
Réception de:19 http://www.deb-multimedia.org buster/main amd64 libswresample2 amd64 10:3.3.4-dmo1 [92,1 kB]
Réception de:20 http://www.deb-multimedia.org buster/main amd64 libavcodec57 amd64 10:3.3.4-dmo1 [4 545 kB]
Réception de:21 http://www.deb-multimedia.org buster/main amd64 libavformat57 amd64 10:3.3.4-dmo1 [961 kB]
Réception de:22 http://www.deb-multimedia.org buster/main amd64 libzimg2 amd64 2.6.1-dmo1 [224 kB]
Réception de:23 http://www.deb-multimedia.org buster/main amd64 vapoursynth amd64 38-dmo7 [710 kB]
Réception de:24 http://www.deb-multimedia.org buster/main amd64 avidemux-common all 1:2.7.0-dmo3 [615 kB]
Réception de:25 http://www.deb-multimedia.org buster/main amd64 avidemux-qt amd64 1:2.7.0-dmo3 [1 630 kB]
Réception de:26 http://www.deb-multimedia.org buster/main amd64 avidemux amd64 1:2.7.0-dmo3 [7 236 B]
Réception de:27 http://www.deb-multimedia.org buster/main amd64 lame amd64 1:3.99.5-dmo6 [339 kB]
Réception de:28 http://www.deb-multimedia.org buster/main amd64 libswscale4 amd64 10:3.3.4-dmo1 [186 kB]
Réception de:29 http://www.deb-multimedia.org buster/main amd64 libquicktime2 amd64 3:1.2.4-dmo21 [263 kB]
Réception de:30 http://www.deb-multimedia.org buster/main amd64 liblavfile-2.1-0 amd64 2:2.1.0-dmo9 [40,0 kB]
Réception de:31 http://www.deb-multimedia.org buster/main amd64 liblavjpeg-2.1-0 amd64 2:2.1.0-dmo9 [15,7 kB]
Réception de:32 http://www.deb-multimedia.org buster/main amd64 liblavplay-2.1-0 amd64 2:2.1.0-dmo9 [25,1 kB]
Réception de:33 http://www.deb-multimedia.org buster/main amd64 mjpegtools amd64 2:2.1.0-dmo9 [539 kB]
Réception de:34 http://www.deb-multimedia.org buster/main amd64 twolame amd64 1:0.3.13-dmo3 [20,0 kB]
19,8 Mo réceptionnés en 1s (10,2 Mo/s)
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
Lecture des fichiers de modifications (« changelog »)... Terminé
Extraction des modèles depuis les paquets : 100%
Sélection du paquet install-info précédemment désélectionné.
(Lecture de la base de données... 237794 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../install-info_6.5.0.dfsg.1-1_amd64.deb ...
Dépaquetage de install-info (6.5.0.dfsg.1-1) ...
Paramétrage de install-info (6.5.0.dfsg.1-1) ...
Sélection du paquet libaften0:amd64 précédemment désélectionné.
(Lecture de la base de données... 237808 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-libaften0_0.0.8svn20100103-dmo2_amd64.deb ...
Dépaquetage de libaften0:amd64 (0.0.8svn20100103-dmo2) ...
Préparation du dépaquetage de .../01-libass9_2%3a0.13.7-dmo1_amd64.deb ...
Dépaquetage de libass9:amd64 (2:0.13.7-dmo1) sur (1:0.13.7-2) ...
Sélection du paquet libfaac0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../02-libfaac0_1%3a1.29.7.4-dmo1_amd64.deb ...
Dépaquetage de libfaac0:amd64 (1:1.29.7.4-dmo1) ...
Sélection du paquet libfdk-aac1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../03-libfdk-aac1_1%3a0.1.5-dmo2_amd64.deb ...
Dépaquetage de libfdk-aac1:amd64 (1:0.1.5-dmo2) ...
Préparation du dépaquetage de .../04-libmp3lame0_1%3a3.99.5-dmo6_amd64.deb ...
Dépaquetage de libmp3lame0:amd64 (1:3.99.5-dmo6) sur (3.99.5+repack1-9+b2) ...
Sélection du paquet libmp4v2-2:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../05-libmp4v2-2_2%3a2.0.0-dmo4_amd64.deb ...
Dépaquetage de libmp4v2-2:amd64 (2:2.0.0-dmo4) ...
Sélection du paquet libx264-152:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../06-libx264-152_3%3a0.152.2851+gitba24899-dmo1_amd64.deb ...
Dépaquetage de libx264-152:amd64 (3:0.152.2851+gitba24899-dmo1) ...
Préparation du dépaquetage de .../07-libx265-130_1%3a2.5-dmo1_amd64.deb ...
Dépaquetage de libx265-130:amd64 (1:2.5-dmo1) sur (2.5-2) ...
Sélection du paquet avidemux-plugins précédemment désélectionné.
Préparation du dépaquetage de .../08-avidemux-plugins_1%3a2.7.0-dmo3_amd64.deb ...
Dépaquetage de avidemux-plugins (1:2.7.0-dmo3) ...
Sélection du paquet libqt5opengl5:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../09-libqt5opengl5_5.9.1+dfsg-9_amd64.deb ...
Dépaquetage de libqt5opengl5:amd64 (5.9.1+dfsg-9) ...
Sélection du paquet libmfx0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../10-libmfx0_1.23-dmo1_amd64.deb ...
Dépaquetage de libmfx0:amd64 (1.23-dmo1) ...
Préparation du dépaquetage de .../11-libavutil55_10%3a3.3.4-dmo1_amd64.deb ...
Dépaquetage de libavutil55:amd64 (10:3.3.4-dmo1) sur (7:3.3.4-1) ...
Sélection du paquet libilbc2:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../12-libilbc2_2.0.2-dmo4_amd64.deb ...
Dépaquetage de libilbc2:amd64 (2.0.2-dmo4) ...
Sélection du paquet libkvazaar3:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../13-libkvazaar3_1%3a1.1.0-dmo1_amd64.deb ...
Dépaquetage de libkvazaar3:amd64 (1:1.1.0-dmo1) ...
Sélection du paquet libopenh264-4:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../14-libopenh264-4_1.7.0-dmo1_amd64.deb ...
Dépaquetage de libopenh264-4:amd64 (1.7.0-dmo1) ...
Préparation du dépaquetage de .../15-libswresample2_10%3a3.3.4-dmo1_amd64.deb ...
Dépaquetage de libswresample2:amd64 (10:3.3.4-dmo1) sur (7:3.3.4-1) ...
Préparation du dépaquetage de .../16-libavcodec57_10%3a3.3.4-dmo1_amd64.deb ...
Dépaquetage de libavcodec57:amd64 (10:3.3.4-dmo1) sur (7:3.3.4-1) ...
Préparation du dépaquetage de .../17-libavformat57_10%3a3.3.4-dmo1_amd64.deb ...
Dépaquetage de libavformat57:amd64 (10:3.3.4-dmo1) sur (7:3.3.4-1) ...
Sélection du paquet libtesseract-data précédemment désélectionné.
Préparation du dépaquetage de .../18-libtesseract-data_3.04.01-6_all.deb ...
Dépaquetage de libtesseract-data (3.04.01-6) ...
Sélection du paquet liblept5 précédemment désélectionné.
Préparation du dépaquetage de .../19-liblept5_1.74.4-1_amd64.deb ...
Dépaquetage de liblept5 (1.74.4-1) ...
Sélection du paquet libtesseract3 précédemment désélectionné.
Préparation du dépaquetage de .../20-libtesseract3_3.04.01-6_amd64.deb ...
Dépaquetage de libtesseract3 (3.04.01-6) ...
Sélection du paquet libzimg2 précédemment désélectionné.
Préparation du dépaquetage de .../21-libzimg2_2.6.1-dmo1_amd64.deb ...
Dépaquetage de libzimg2 (2.6.1-dmo1) ...
Sélection du paquet vapoursynth précédemment désélectionné.
Préparation du dépaquetage de .../22-vapoursynth_38-dmo7_amd64.deb ...
Dépaquetage de vapoursynth (38-dmo7) ...
Sélection du paquet avidemux-common précédemment désélectionné.
Préparation du dépaquetage de .../23-avidemux-common_1%3a2.7.0-dmo3_all.deb ...
Dépaquetage de avidemux-common (1:2.7.0-dmo3) ...
Sélection du paquet avidemux-qt précédemment désélectionné.
Préparation du dépaquetage de .../24-avidemux-qt_1%3a2.7.0-dmo3_amd64.deb ...
Dépaquetage de avidemux-qt (1:2.7.0-dmo3) ...
Sélection du paquet avidemux précédemment désélectionné.
Préparation du dépaquetage de .../25-avidemux_1%3a2.7.0-dmo3_amd64.deb ...
Dépaquetage de avidemux (1:2.7.0-dmo3) ...
Sélection du paquet lame précédemment désélectionné.
Préparation du dépaquetage de .../26-lame_1%3a3.99.5-dmo6_amd64.deb ...
Dépaquetage de lame (1:3.99.5-dmo6) ...
Préparation du dépaquetage de .../27-libswscale4_10%3a3.3.4-dmo1_amd64.deb ...
Dépaquetage de libswscale4:amd64 (10:3.3.4-dmo1) sur (7:3.3.4-1) ...
Sélection du paquet libquicktime2:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../28-libquicktime2_3%3a1.2.4-dmo21_amd64.deb ...
Dépaquetage de libquicktime2:amd64 (3:1.2.4-dmo21) ...
Sélection du paquet liblavfile-2.1-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../29-liblavfile-2.1-0_2%3a2.1.0-dmo9_amd64.deb ...
Dépaquetage de liblavfile-2.1-0:amd64 (2:2.1.0-dmo9) ...
Sélection du paquet liblavjpeg-2.1-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../30-liblavjpeg-2.1-0_2%3a2.1.0-dmo9_amd64.deb ...
Dépaquetage de liblavjpeg-2.1-0:amd64 (2:2.1.0-dmo9) ...
Sélection du paquet liblavplay-2.1-0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../31-liblavplay-2.1-0_2%3a2.1.0-dmo9_amd64.deb ...
Dépaquetage de liblavplay-2.1-0:amd64 (2:2.1.0-dmo9) ...
Sélection du paquet mjpegtools précédemment désélectionné.
Préparation du dépaquetage de .../32-mjpegtools_2%3a2.1.0-dmo9_amd64.deb ...
Dépaquetage de mjpegtools (2:2.1.0-dmo9) ...
Sélection du paquet twolame précédemment désélectionné.
Préparation du dépaquetage de .../33-twolame_1%3a0.3.13-dmo3_amd64.deb ...
Dépaquetage de twolame (1:0.3.13-dmo3) ...
Paramétrage de libfaac0:amd64 (1:1.29.7.4-dmo1) ...
Paramétrage de libx264-152:amd64 (3:0.152.2851+gitba24899-dmo1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-2) ...
Traitement des actions différées (« triggers ») pour install-info (6.5.0.dfsg.1-1) ...
Paramétrage de libopenh264-4:amd64 (1.7.0-dmo1) ...
Paramétrage de libzimg2 (2.6.1-dmo1) ...
Paramétrage de libass9:amd64 (2:0.13.7-dmo1) ...
Paramétrage de libilbc2:amd64 (2.0.2-dmo4) ...
Paramétrage de libqt5opengl5:amd64 (5.9.1+dfsg-9) ...
Paramétrage de libmp4v2-2:amd64 (2:2.0.0-dmo4) ...
Paramétrage de liblavjpeg-2.1-0:amd64 (2:2.1.0-dmo9) ...
Paramétrage de liblept5 (1.74.4-1) ...
Paramétrage de libtesseract-data (3.04.01-6) ...
Paramétrage de libmp3lame0:amd64 (1:3.99.5-dmo6) ...
Paramétrage de twolame (1:0.3.13-dmo3) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-17) ...
Paramétrage de libmfx0:amd64 (1.23-dmo1) ...
Paramétrage de libx265-130:amd64 (1:2.5-dmo1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-9) ...
Paramétrage de libfdk-aac1:amd64 (1:0.1.5-dmo2) ...
Paramétrage de libkvazaar3:amd64 (1:1.1.0-dmo1) ...
Paramétrage de avidemux-common (1:2.7.0-dmo3) ...
Paramétrage de libaften0:amd64 (0.0.8svn20100103-dmo2) ...
Paramétrage de libtesseract3 (3.04.01-6) ...
Paramétrage de libavutil55:amd64 (10:3.3.4-dmo1) ...
Paramétrage de avidemux-plugins (1:2.7.0-dmo3) ...
Paramétrage de libswresample2:amd64 (10:3.3.4-dmo1) ...
Paramétrage de lame (1:3.99.5-dmo6) ...
Paramétrage de libswscale4:amd64 (10:3.3.4-dmo1) ...
Paramétrage de libavcodec57:amd64 (10:3.3.4-dmo1) ...
Paramétrage de libquicktime2:amd64 (3:1.2.4-dmo21) ...
Paramétrage de libavformat57:amd64 (10:3.3.4-dmo1) ...
Paramétrage de liblavfile-2.1-0:amd64 (2:2.1.0-dmo9) ...
Paramétrage de vapoursynth (38-dmo7) ...
Paramétrage de liblavplay-2.1-0:amd64 (2:2.1.0-dmo9) ...
Paramétrage de avidemux-qt (1:2.7.0-dmo3) ...
update-alternatives: utilisation de « /usr/bin/avidemux3_qt5 » pour fournir « /usr/bin/avidemux » (avidemux) en mode automatique
Paramétrage de mjpegtools (2:2.1.0-dmo9) ...
Paramétrage de avidemux (1:2.7.0-dmo3) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-17) ...
 



$ apt-cache policy avidemux



avidemux:
  Installé : 1:2.7.0-dmo3
  Candidat : 1:2.7.0-dmo3
 Table de version :
 *** 1:2.7.0-dmo3 500
        500 http://www.deb-multimedia.org buster/main amd64 Packages
        100 /var/lib/dpkg/status
 



$ apt-cache show avidemux



Package: avidemux
Source: avidemux-dmo
Version: 1:2.7.0-dmo3
Installed-Size: 17
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Architecture: amd64
Depends: avidemux-qt
Description: Free video editor
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package install the QT version.
Description-md5: 09470dd46867128879eeed0fc458f1c9
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://fixounet.free.fr/avidemux/
Section: video
Priority: optional
Filename: pool/main/a/avidemux-dmo/avidemux_2.7.0-dmo3_amd64.deb
Size: 7236
MD5sum: 023e71d53acf48d839ab2525c9322604
SHA256: e30f79357b925fa0b2c7763a6a7c13c3484b8489e3dba5b53101068a32b85a6b
 



voilà ! terminé ! merci tout le monde !

Alain

Dernière modification par Debian Alain (21-09-2017 21:43:32)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#6 21-09-2017 22:03:08

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] avidemux

L'erreur sur contrib tu l'avais aussi pour stretch. Ça n'expliquait pas l'erreur sur la clé.
As tu fait les commandes du site que j'ai mis dans mon message pour réussir à installer la clé du dépôt sur buster ?

Hors ligne

#7 22-09-2017 08:59:02

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

pour trouver l'erreur sur la clé , la page  suivante m'a aidé :

https://debian-facile.org/doc:systeme:apt:signatures?s

ton lien , chalu , ne m'a  servi qu'à me rendre compte que j'avais mis un mot en trop dans l'adresse du dépôt (contrib) .

mais il m'a  aidé , t'inquiètes .

je n'ai pas suivi ta procédure vu que , dans mon post #1 , j'ai expliqué comment j'ai travaillé et le résultat (heureux) que j'ai obtenu .

notamment surf les clés .

merci quand même .

et pardon de n'avoir pas mis en pratique tous tes  conseils .

mais tu m'as aidé rassure toi .

merci

malgré tout , en suivant ton lien ( https://debian-facile.org/doc:systeme:a … multimedia ) ,
et afin de ne pas  avoir de problèmes futurs avec le dépôt multimedia , j'ai décidé de créer un fichier de pinning .
plus précisément , j'ai recopié celui proposé . j'espère qu'il n'y aura pas de souci.

point de départ :

# apt update



j'ai trouvé la clé  avec :

gpg --keyserver hkp://wwwkeys.pgp.net --recv-keys <votre clé>



et je l'ai importée avec :

gpg --armor --export <votre clé> | apt-key add -



puis corrigé  avec

# nano /etc/apt/sources.list


l'occurence "contrib" dans le depôt multimedia de buster

un dernier

# apt update



et voilà , résultat impec !

par contre , tu as raison , chalu ; j'ai "l'erreur contrib" dans mon sources.list  de stretch et cela ne crée pas de problème ....

curieux  .

Dernière modification par Debian Alain (22-09-2017 09:40:08)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#8 22-09-2017 09:37:29

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] avidemux

Pour buster non plus, le problème c'était la clé'.
Du coup on n'est pas obligé d'utiliser les instructions du site deb-multimedia avec cette méthode qui est dans le wiki.
Je n'ai pas les compétences par contre pour savoir si l'une est mieux que l'autre en supposant que celle du site fonctionne bien sûr.
Je n'utilise pas ce dépôt

Hors ligne

#9 22-09-2017 09:49:43

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

ben , a vrai dire chalu , ce que je sais , c'est que ce petit programme ne fait pas partie officielle de debian .

il faut tricher pour y avoir accès mais c'est plus sûr que de télécharger des "*.deb"

le dépôt multimedia étant semi - officiel (vu qu'il faut le rajouter)  , cela nous force à manipuler le sources.list .

pas très chouette de la part de debian . pourquoi n'ont ils pas inclus ce dépôt dans la distribution ?

tu me diras : vu tous les paquets officiels  ... c'est peut être pas  très utile .

possible . possible .je ne sais pas .

en tout cas , ce dépôt nous donne accès à quelques petits programmes comme celui là ,

et c'est très bien .

kenavo

Dernière modification par Debian Alain (22-09-2017 10:01:53)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#10 22-09-2017 13:58:35

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] avidemux

Je vois que tu veux me faire gagner un point choco alors j'en profite hop lol
Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre

Hors ligne

#11 22-09-2017 19:39:03

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.13.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [résolu] avidemux

Salut,

Sur le site de avidemux, tu as une version portable - appimage
Linux 64, Universal binaries -> http://fixounet.free.fr/avidemux/download.html

Pour faire un lanceur '-> à adapter : https://debian-facile.org/viewtopic.php … 33#p235133

Ça évite de rajouter un dépôt tiers qui peut casser le système . C'est toi qui vois .

Sinon il est conseillé d'épingler ( pinning ) le dépôt deb-multimedia a une priorité moindre ( 100 ) que les dépôts officiels .
-> https://debian-facile.org/doc:systeme:a … multimedia
smile

Hors ligne

#12 22-09-2017 19:53:24

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

conaissais pas , nono47 .

molotov aussi est en fichier appimage .

il suffit de le rendre  exécutable et de le lancer .

mais bon , c'est gentil mais un peu tard . j'ai déjà installé avidemux par les  dépôts .

merci quand même .

kenavo .

Alain

1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#13 23-09-2017 06:42:47

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.13.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [résolu] avidemux

Salut,

@ Debian Alain ( et à tous ) quelques conseils au niveau d'ajout de dépôts tiers :
Conseils aux nouveaux arrivants pour ne pas endommager leur système Debian : https://wiki.debian.org/fr/DontBreakDebian

Si avidemux est le seul paquet que tu prends depuis deb-multimedia, tu peux ensuite commenter le dépôts deb-multimedia ( avidemux n'est pas en développement actif ) devenu inutile .
Sinon mets y une priorité de 100 ( deb-multimedia peut vraiment casser ton système ! )

Sinon les paquets les plus populaires de deb-multimedia sont ( ou ont été ) passés dans les dépôts officiels . Il semble que avidemux soit une exception .
Tu peux néanmoins utiliser les appimage pour les paquets hors dépôt, appimage ( et autres solutions ( comme Flatpak dans le lien ci-dessus ) pour avoir un programme portable ) se généralise beaucoup, voire se " démocratise " !
bref c'est dans l'air du temps ...
smile

Dernière modification par nono47 (23-09-2017 07:09:22)

Hors ligne

#14 05-10-2017 17:58:09

d33p
Adhérent(e)
Lieu : Lorraine
Distrib. : Debian testing buster 64bits
Noyau : En fonction des updates testing buster
(G)UI : En fonction des updates testing buster
Inscription : 01-12-2015

Re : [résolu] avidemux

hello,
c'est génial que je tombe sur ce poste car je voulais les installer ces depots multimedia, mais avant je voulais faire un tour sur les forums et demander si cet ajout était aussi bien stable que sécurisé, mais il semble que bof ^^

( deb-multimedia peut vraiment casser ton système ! )


alors je pense que je vais éviter tongue

merci!
d33p


science sans conscience n'est que ruine de l'âme...

Hors ligne

#15 05-10-2017 19:21:01

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.13.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [résolu] avidemux

Salut,

Ben je pense que si le développeurs/éditeusr proposent une version portable, c'est préférable à l'ajout d'un dépôt tiers .

De plus en plus, les développeurs proposent une version portable ( pour toutes les plateformes ( windows, mac, linuX ) et les sources ), ceci pour éviter de faire
un paquet par distributions existantes ( quelque fois avec des soucis de version des dépendances - la version portable emmène tout ce qu'elle a besoin ) .

Dans tous les cas, c'est un bon réflexe d'aller voir sur le site du logiciel pour voir les téléchargements proposés .
smile

Hors ligne

#16 05-10-2017 19:41:07

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

je te réponds , d33p , en reprenant pour partie , les propos de nono47 :

Si avidemux est le seul paquet que tu prends depuis deb-multimedia, tu peux ensuite commenter le dépôts deb-multimedia ( avidemux n'est pas en développement actif ) devenu inutile .
Sinon mets y une priorité de 100 ( deb-multimedia peut vraiment casser ton système ! )



après avoir installé le dépôt multimédia et bien mis la bonne clé .
s'il ne te crée pas plus de problèmes que ça .

problèmes que je n'a jamais eu , je précise .
mais bon , je suis pas le seul à m'en servir . d'autres en ont peut être eu .
et il est vrai que je m'en suis très peu servi sauf pour des programmes à l'époque comme vlc (passé , sauf erreur , dans les  dépôts officiels depuis)
ou avidemux . de mémoire , je me souviens pus trop , c'est peut être les seuls ( avec audacity , je crois) . même lmms est passé dans les dépôts officiels . c'est dire .

donc , sitôt ton programme installé , tu commentes la ligne de deb-multimedia ou tu crées un fichier de pinning .
apparemment , c'est exotique , mais en fait c'est très simple et très efficace .

mes histoires avec le pinning :  https://debian-facile.org/viewtopic.php?id=19276

le wiki D-F du pinning : https://debian-facile.org/doc:systeme:a … ts-tiers?s
plutôt ça  sur le pinning : https://debian-facile.org/doc:systeme:apt:pinning?s

si tu es en stable (stretch actuellement . sous buster , remplace a=stable par a=testing) ,  tu crées le fichier suivant  dans /etc/apt/preferences.d/

(après avoir mis le sources list à jour et la clé)


Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable
Pin-Priority: 100




tu sera alors obligé de taper

apt -t 0.0 -s install paquet



pour installer ton paquet depuis deb-multimedia .

l'installation , ce faisant , sera manuelle et non automatique .
ce qui t'épargnera quelques  soucis (peut être pas tous mais j'espère beaucoup)

mes priorités (chez moi avec mes  fichiers de pinnig)

$ apt policy


(y a pas une commande pour mettre ceci en couleurs ?)


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 [url]http://ftp.deb-multimedia.org[/url] buster/non-free amd64 Packages
     release v=0.0,o=Unofficial Multimedia Packages,a=testing,n=buster,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin [url=ftp://ftp.deb-multimedia.org]ftp.deb-multimedia.org[/url]
 100 [url]http://ftp.deb-multimedia.org[/url] buster/main amd64 Packages
     release v=0.0,o=Unofficial Multimedia Packages,a=testing,n=buster,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin [url=ftp://ftp.deb-multimedia.org]ftp.deb-multimedia.org[/url]
  90 [url]http://ftp.fr.debian.org/debian[/url] sid/non-free amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
  90 [url]http://ftp.fr.debian.org/debian[/url] sid/contrib amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=contrib,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
  90 [url]http://ftp.fr.debian.org/debian[/url] sid/main amd64 Packages
     release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
 990 [url]http://ftp.fr.debian.org/debian[/url] buster/non-free amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=non-free,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
 990 [url]http://ftp.fr.debian.org/debian[/url] buster/contrib amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=contrib,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
 990 [url]http://ftp.fr.debian.org/debian[/url] buster/main amd64 Packages
     release o=Debian,a=testing,n=buster,l=Debian,c=main,b=amd64
     origin [url=ftp://ftp.fr.debian.org]ftp.fr.debian.org[/url]
Paquets épinglés :
 



où tu vois que deb-multimedia est passé en manuel (c'est pas exact de parler  comme ça mais c'est pour que tu comprennes )
pour être précis  , deb-multimedia possède dorénavant une priorité de 100 (90 pour sid) ce qui veut dire que les fichiers ne seront téléchargés
que si aucun n'existe ailleurs et que si aucun n'est plus récent que dans ces dépôts là.

buster a la priorité la plus haute et sera donc téléchargé par défaut en premier .

mes fichiers de pinning :

$ ls /etc/apt/preferences.d/


50multimedia.pref  distribution.pref



$ cat /etc/apt/preferences.d/50multimedia.pref



Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing
Pin-Priority: 100
 




$ cat /etc/apt/preferences.d/distribution.pref



Package: *
Pin: release o=Debian,a=testing
Pin-priority: 990

Package: *
Pin: release o=Debian,a=unstable
Pin-priority: 90
 

Dernière modification par Debian Alain (06-10-2017 11:32:29)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#17 06-10-2017 04:49:42

d33p
Adhérent(e)
Lieu : Lorraine
Distrib. : Debian testing buster 64bits
Noyau : En fonction des updates testing buster
(G)UI : En fonction des updates testing buster
Inscription : 01-12-2015

Re : [résolu] avidemux

merci pour les explications Debian Alain, en effet cela peut etre une bonne alternative de se la jouer comme ça et de s'en servir uniquement en cas de besoin.
@ bientôt.
d33p

science sans conscience n'est que ruine de l'âme...

Hors ligne

#18 06-10-2017 08:33:23

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.13.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : [résolu] avidemux

Sinon pour la petite histoire, deb-multimedia s'appelait debian-multimedia et quelques explications sur le dépôt :
Attention au dépôt debian-multimedia.org ! -> https://linuxfr.org/news/attention-au-d … imedia-org

et le journal qui va avec ( pour les commentaires ) : https://linuxfr.org/users/patrick_g/jou … imedia-org
debian.png

Dernière modification par nono47 (06-10-2017 08:58:30)

Hors ligne

#19 06-10-2017 09:32:26

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : W$10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.13.0-0.bpo.1-amd64
(G)UI : Mate / Gdm3
Inscription : 11-03-2017

Re : [résolu] avidemux

@nono47 :

oui , je savais ça , nono47 .

personnellement , pour un "petit"  usage , je n'ai eu aucun problème sur ce dépôt depuis 10 ans au moins  .

tant il est vrai que je m'en suis très peu servi et je dois reconnaitre que , dans mon cas , l'ajoût du dépôt , je le fais plus pour la forme (par habitude)
et pas  tellement pour le fond (critiquable apparemment) .
je dois reconnaitre aussi que mon retour à linux est tout récent (quelques années (1 ou 2))

sinon , nono47 , j'ai relevé ça dans le journal dont tu nous  a fait part  :

« non mais maintenant on n’est plus à la ramasse comme il y a 10 ans, alors t’es gentil enlève ton dépôt, ça nous fait de l’ombre »

J’exagère un peu, mais pas tant que ça smile



c'est triste , mais c'est à ça que me fait penser  le comportement de debian (du moins quand l'article  a été écrit  (avant 2013) ).

maintenant , que le dépôt soit maintenu par des ukrainiens , je m'en fiche . c'est le service que je regarde . et jusqu'ici , pas de problème .

@d33p :

si mon idée du pinning t'intéresse , voilà le  sources.list qui va  avec :


#

# deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

#deb cdrom:[Debian GNU/Linux 9.1.0 _Stretch_ - Official amd64 NETINST 20170722-11:28]/ stretch contrib main non-free

# deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
# deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

# deb http://security.debian.org/debian-security stretch/updates main contrib non-free
# deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
#  deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# buster
deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/debian-security/ buster/updates main contrib non-free
# deb-src http://security.debian.org/ buster/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free

# deb http://ftp.fr.debian.org/debian/ buster-backports main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ buster-backports main contrib non-free

# sid
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
# deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free

# paquets multimedia buster
deb http://ftp.deb-multimedia.org/ buster main non-free

 

Dernière modification par Debian Alain (06-10-2017 09:49:17)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#20 06-10-2017 16:14:32

d33p
Adhérent(e)
Lieu : Lorraine
Distrib. : Debian testing buster 64bits
Noyau : En fonction des updates testing buster
(G)UI : En fonction des updates testing buster
Inscription : 01-12-2015

Re : [résolu] avidemux

hello, merci pour tout.

science sans conscience n'est que ruine de l'âme...

Hors ligne

Pied de page des forums